BizKitHub
DocsAPI ReferenceCart/api/v1/cart/change-quantity
postCartPublic API v1

/api/v1/cart/change-quantity

Updates the quantity of an existing cart item. Setting quantity to 0 removes the item from the cart.

cartpostApiV1CartChange-quantity

Parameters

1 query · JSON body

Query parameters

· 1
apiKeystringRequired

Your BizKitHub API key (passed as GET parameter).

Key format: A 32-character string matching: ^(PROD|DEV_|ROOT)[A-Za-z0-9]{28}$
Prefixes: PROD (production key), DEV_ (individual developer), ROOT (system key with no limits). Learn more

ExamplePRODPGrFxpGEtrOZfuWhnoJohUYBXuOE

Request body

application/json
cartIdstringRequired
Exampleb411056d304d9y6mHe2SoMFBL2Apxfnb
itemIdstringRequired
Example8YOoIOOuc48IShi2
quantitynumberRequired

Set product quantity. Use 0 to remove item from cart.

Examples40

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /api/v1/cart/change-quantity

post
curl -X POST "https://api.bizkithub.com/api/v1/cart/change-quantity?apiKey=PRODPGrFxpGEtrOZfuWhnoJohUYBXuOE" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "cartId": "b411056d304d9y6mHe2SoMFBL2Apxfnb",
  "itemId": "8YOoIOOuc48IShi2",
  "quantity": 4
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key